#!/bin/bash

if [ $# -ne 1 ]; then
    echo "Usage: ./create-sources VERSION"
    exit 1
fi

VERSION=${1}
NAME="jtds"

wget http://downloads.sourceforge.net/${NAME}/${NAME}-${VERSION}-src.zip
mkdir ${NAME}-${VERSION}
cd ${NAME}-${VERSION}
unzip  ../${NAME}-${VERSION}-src.zip
cd ..
rm ${NAME}-${VERSION}-src.zip
# Remove unnecessary files
find ./${NAME}-${VERSION} -name "*.jar" -delete
find ./${NAME}-${VERSION} -name "*.class" -delete
find ./${NAME}-${VERSION} -name "*.bat" -delete
rm -Rf ./${NAME}-${VERSION}/lib
rm -Rf ./${NAME}-${VERSION}/doc
rm -Rf ./${NAME}-${VERSION}/html
rm -Rf ./${NAME}-${VERSION}/*.bat
# Files without proper copyright notices and unused
rm -vRf ./${NAME}-${VERSION}/src/SSO
rm -vRf ./${NAME}-${VERSION}/src/XA
rm -vRf ./${NAME}-${VERSION}/src/test/net/sourceforge/jtds/test/{AsTest.java,CSUnitTest.java,DatabaseTestCase.java,JDBC3Test.java,NtlmAuthTest.java,SAfeTest.java,SanityTest.java,Tds5Test.java,TestBase.java,TimestampTest.java,UpdateTest.java}
rm -vRf ./${NAME}-${VERSION}/src/tools/net/sourceforge/jtds/tools/{PacketLogger.java,SQLProxy.java,SqlForwarder.java}

tar cJf ${NAME}-${VERSION}-clean.tar.xz ./${NAME}-${VERSION}